Syncfusion AI Assistant

How can I help you?

Classic Layout in Vue Pivot Table component

NOTE

The classic layout is compatible only with relational data sources and operates in both client-side and server-side engines.

The classic layout, also known as the tabular layout, in the Syncfusion® Pivot Table provides a structured, tabular presentation of data that enhances readability and usability. In this layout, fields in the row axis are displayed side by side in separate columns, making data interpretation and analysis easier. By default, grand totals appear at the end of all rows, while subtotals are placed in a separate row beneath each group. All other features of the pivot table, such as filtering, sorting, drag-and-drop, expand/collapse functionality, and more, remain the same as in the compact layout, which serves as the default hierarchical format of the pivot table.

To enable the classic layout, set the layout property in the gridSettings of the Pivot Table to Tabular.

<template>
  <div id="app">
    <ejs-pivotview :dataSourceSettings="dataSourceSettings" :height="height" :width="width" :gridSettings="gridSettings" :showFieldList="showFieldList"> </ejs-pivotview>
  </div>
</template>
<script setup>
import { provide } from "vue";
import { PivotViewComponent as EjsPivotview, FieldList } from "@syncfusion/ej2-vue-pivotview";
import { pivotData } from './pivotData.js';

const dataSourceSettings = {
  dataSource: pivotData,
  enableSorting: true,
  columns: [{ name: 'Year' }, { name: 'Quarter' }],
  rows: [
    { name: 'Product_Categories', caption: 'Product Categories' },
    { name: 'Products' },
    { name: 'Order_Source', caption: 'Order Source' },
  ],
  formatSettings: [{ name: 'Amount', format: 'C0' }],
  drilledMembers: [
    { name: 'Product_Categories', items: ['Accessories', 'Bikes'] },
    { name: 'Products', delimiter: '##', items: ['Accessories##Helmets'] },
  ],
  filterSettings: [
    {
      name: 'Products',
      type: 'Exclude',
      items: ['Cleaners', 'Fenders'],
    },
  ],
  expandAll: false,
  values: [
    { name: 'Sold', caption: 'Units Sold' },
    { name: 'Amount', caption: 'Sold Amount' },
  ],
  filters: [],
};
const height = '450px';
const width = '100%';
const gridSettings = {
  columnWidth: 120,
  layout: 'Tabular'
};
const showFieldList = true;

provide('pivotview', [FieldList]);

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-pivotview/styles/tailwind3.css";
</style>
<template>
  <div id="app">
    <ejs-pivotview :dataSourceSettings="dataSourceSettings" :height="height" :width="width" :gridSettings="gridSettings" :showFieldList="showFieldList"> </ejs-pivotview>
  </div>
</template>
<script>
import { PivotViewComponent, FieldList } from "@syncfusion/ej2-vue-pivotview";
import { pivotData } from './pivotData.js';

export default {
  name: "App",
  components: {
    "ejs-pivotview": PivotViewComponent
  },
  data() {
    return {
      dataSourceSettings: {
        dataSource: pivotData,
        enableSorting: true,
        columns: [{ name: 'Year' }, { name: 'Quarter' }],
        rows: [
          { name: 'Product_Categories', caption: 'Product Categories' },
          { name: 'Products' },
          { name: 'Order_Source', caption: 'Order Source' },
        ],
        formatSettings: [{ name: 'Amount', format: 'C0' }],
        drilledMembers: [
          { name: 'Product_Categories', items: ['Accessories', 'Bikes'] },
          { name: 'Products', delimiter: '##', items: ['Accessories##Helmets'] },
        ],
        filterSettings: [
          {
            name: 'Products',
            type: 'Exclude',
            items: ['Cleaners', 'Fenders'],
          },
        ],
        expandAll: false,
        values: [
          { name: 'Sold', caption: 'Units Sold' },
          { name: 'Amount', caption: 'Sold Amount' },
        ],
        filters: [],
      },
      height: '450px',
      width: '100%',
      showFieldList: true,
      gridSettings: {
        columnWidth: 120,
        layout: 'Tabular'
      }
    }
  },
  provide: {
    pivotview: [FieldList]
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-pivotview/styles/tailwind3.css";
</style>

Limitations

  • Subtotals at the “Top” position are not supported for row subtotals.

Syncfusion AI Assistant

How can I help you?

Classic Layout in Angular Pivot Table component

NOTE

The classic layout is compatible only with relational data sources and operates in both client-side and server-side engines.

The classic layout, also known as the tabular layout, in the Syncfusion® Pivot Table provides a structured, tabular presentation of data that enhances readability and usability. In this layout, fields in the row axis are displayed side by side in separate columns, making data interpretation and analysis easier. By default, grand totals appear at the end of all rows, while subtotals are placed in a separate row beneath each group. All other features of the pivot table, such as filtering, sorting, drag-and-drop, expand/collapse functionality, and more, remain the same as in the compact layout, which serves as the default hierarchical format of the pivot table.

To enable the classic layout, set the layout property in the gridSettings of the Pivot Table to Tabular.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { PivotViewAllModule, PivotFieldListAllModule, FieldListService } from '@syncfusion/ej2-angular-pivotview'
import { Component, OnInit } from '@angular/core';
import { IDataSet } from '@syncfusion/ej2-angular-pivotview';
import { GridSettings } from '@syncfusion/ej2-pivotview/src/pivotview/model/gridsettings';
import { Pivot_Data } from './datasource';
import { Browser } from '@syncfusion/ej2-base';
import { DataSourceSettingsModel } from '@syncfusion/ej2-pivotview/src/model/datasourcesettings-model';

@Component({
    imports: [
        PivotViewAllModule,
        PivotFieldListAllModule
    ],
    standalone: true,
    selector: 'app-container',
    providers: [FieldListService],
    // specifies the template string for the pivot table component
    template: `<ejs-pivotview #pivotview id='PivotView' height='450' [dataSourceSettings]=dataSourceSettings [width]=width [showFieldList]='true' [gridSettings]='gridSettings'></ejs-pivotview>`
})
export class AppComponent implements OnInit {
    public dataSourceSettings?: DataSourceSettingsModel;
    public gridSettings?: GridSettings;
    public width?: string;

    ngOnInit(): void {
        this.width = '100%';

        this.gridSettings = {
            columnWidth: Browser.isDevice ? 100 : 120,
            layout: 'Tabular'
        } as GridSettings;

        this.dataSourceSettings = {
            dataSource: Pivot_Data as IDataSet[],
            enableSorting: true,
            columns: [{ name: 'Year' }, { name: 'Quarter' }],
            rows: [
                { name: 'Product_Categories', caption: 'Product Categories' },
                { name: 'Products' },
                { name: 'Order_Source', caption: 'Order Source' },
            ],
            formatSettings: [{ name: 'Amount', format: 'C0' }],
            drilledMembers: [
                { name: 'Product_Categories', items: ['Accessories', 'Bikes'] },
                { name: 'Products', delimiter: '##', items: ['Accessories##Helmets'] },
            ],
            filterSettings: [
                {
                    name: 'Products',
                    type: 'Exclude',
                    items: ['Cleaners', 'Fenders'],
                },
            ],
            expandAll: false,
            values: [
                { name: 'Sold', caption: 'Units Sold' },
                { name: 'Amount', caption: 'Sold Amount' },
            ],
            filters: [],
        };
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Limitations

  • Subtotals at the “Top” position are not supported for row subtotals.